kr.co.hanwha.hifive.screen.main.dashboard.contract

## Interface DashboardProjectContract.Presenter

- All Superinterfaces:
    BasePresenter
  All Known Implementing Classes:
    DashboardProjectPresenter
  Enclosing interface:
    DashboardProjectContract

      public static interface DashboardProjectContract.Presenter
      extends BasePresenter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initTaskData(int projectId, boolean needLoading)` Initialize Data
    `void` | `setIsAll(boolean isAll)` 필터 : 진행중 / 전체
    `void` | `showEditIssueDialog()` Change issue(web view)
    `void` | `showProjectColorDialog()` Change project color dialog
    `void` | `updateProjectColor(ProjectEvaluationType type)` Update project color

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BasePresenter

      `detachView, getContext`

- - ### Method Detail

    - #### setIsAll

          void setIsAll(boolean isAll)

      필터 : 진행중 / 전체
      Parameters:
        `isAll` - Boolean

    - #### initTaskData

          void initTaskData(@NonNull
                            int projectId,
                            @NonNull
                            boolean needLoading)

      Initialize Data
      Parameters:
        `projectId` - ID
        `needLoading` - ProgressBar

    - #### showEditIssueDialog

          void showEditIssueDialog()

      Change issue(web view)

    - #### showProjectColorDialog

          void showProjectColorDialog()

      Change project color dialog

    - #### updateProjectColor

          void updateProjectColor(ProjectEvaluationType type)

      Update project color
      Parameters:
        `type` - evaluation color